{
  "schema_version": "1.4.0",
  "id": "GHSA-gv92-fjvm-3gh7",
  "modified": "2022-05-13T01:24:30Z",
  "published": "2022-05-13T01:24:30Z",
  "aliases": [
    "CVE-2011-1593"
  ],
  "details": "Multiple integer overflows in the next_pidmap function in kernel/pid.c in the Linux kernel before 2.6.38.4 allow local users to cause a denial of service (system crash) via a crafted (1) getdents or (2) readdir system call.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-1593"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=697822"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/66876"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=commit%3Bh=c78193e9c7bcbf25b8237ad0dec82f805c4ea69b"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=commit%3Bh=d8bdc59f215e62098bc5b4256fd9928bf27053a1"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=c78193e9c7bcbf25b8237ad0dec82f805c4ea69b"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=d8bdc59f215e62098bc5b4256fd9928bf27053a1"
    },
    {
      "type": "WEB",
      "url": "http://groups.google.com/group/fa.linux.kernel/msg/4a28ecb7f755a88d?dmode=source"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2011/04/19/1"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2011/04/20/1"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2011-0927.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/44164"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1025420"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.38.4"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/47497"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1146-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-05-03T20:55:00Z"
  }
}